if (typeof runColbyCommon === 'undefined') {
  let runColbyCommon = () => {
    if (
      typeof Array.from === 'undefined' ||
        typeof CSS === 'undefined' ||
        typeof CSS.supports === 'undefined'
    ) {
      let script = document.createElement('script');
      script.src = 'https://cdn.polyfill.io/v2/polyfill.min.js';
      document.head.appendChild(script);
    }

    if (typeof 'Promise' === 'undefined') {
      let script = document.createElement('script');
      script.src = 'https://cdnjs.cloudflare.com/ajax/libs/bluebird/3.3.5/bluebird.min.js';
      document.head.appendChild(script);
    }

    if (typeof 'fetch' !== 'function') {
      let script = document.createElement('script');
      script.src = 'https://cdnjs.cloudflare.com/ajax/libs/fetch/2.0.2/fetch.min.js';
      document.head.appendChild(script);
    }

    const html = document.querySelector('html');
    const body = document.querySelector('body');
    html.classList.remove('no-js');
    html.classList.add('js');
    body.style.opacity = '1';
    body.classList.add('loaded');

    if (typeof CSS === 'undefined' || !CSS.supports('flex', '1')) {
      html.classList.add('no-flexbox');
    } else {
      html.classList.add('flexbox');
    }
  };

  window.addEventListener('load', runColbyCommon);
}
